searchNodes=[{"doc":"An alternative logger for Ecto queries. It inlines bindings into the query, so it is easy to copy-paste logged SQL and run it in any IDE for debugging without manual transformation of common elixir terms to string representation (binary UUID, DateTime, Decimal, json, etc). Also, it highlights db time to make slow queries noticeable. Source table and inlined bindings are highlighted as well.","ref":"Ecto.DevLogger.html","title":"Ecto.DevLogger","type":"module"},{"doc":"Gets the handler_id for a given Repo.","ref":"Ecto.DevLogger.html#handler_id/1","title":"Ecto.DevLogger.handler_id/1","type":"function"},{"doc":"Attaches telemetry_handler/4 to application. Returns the result from the call to :telemetry.attach/4 or :ok if the repo has default logging enabled. Options :log_repo_name - when truthy will add the repo name into the log. :ignore_event - a callback which allows to skip some telemetry events thus skip printing logs. By default, the library ignores events from Oban and events related to migration queries. These checks are not overridable by :ignore_event callback and have priority over it.","ref":"Ecto.DevLogger.html#install/2","title":"Ecto.DevLogger.install/2","type":"function"},{"doc":"Telemetry handler which logs queries.","ref":"Ecto.DevLogger.html#telemetry_handler/4","title":"Ecto.DevLogger.telemetry_handler/4","type":"function"},{"doc":"Detaches a previously attached handler for a given Repo. Returns the result from the call to :telemetry.detach/1","ref":"Ecto.DevLogger.html#uninstall/1","title":"Ecto.DevLogger.uninstall/1","type":"function"},{"doc":"","ref":"Ecto.DevLogger.html#t:option/0","title":"Ecto.DevLogger.option/0","type":"type"},{"doc":"A protocol to print various data structures as valid SQL expressions. to_expression/1 is the main function and to_string_literal/1 is an optional helper for it. Ecto.DevLogger tries to represent complex terms, like arrays (lists) and composite types (tuples) as string literal first. Not all terms are easy/efficient/whatever to represent as strings, so if to_string_literal/1 returns a string for all elements inside the array, then array will be represented as string as well. Otherwise, array will be represented using ARRAY constructor: iex&gt; Ecto.DevLogger.PrintableParameter . to_expression ( [ &quot;Elixir&quot; , &quot;Ecto&quot; ] ) &quot;&#39;{Elixir,Ecto}&#39;&quot; iex&gt; Ecto.DevLogger.PrintableParameter . to_expression ( [ &quot;Elixir&quot; , &quot;Ecto&quot; , &lt;&lt; 153 &gt;&gt; ] ) &quot;ARRAY[&#39;Elixir&#39;,&#39;Ecto&#39;,DECODE(&#39;mQ==&#39;,&#39;BASE64&#39;)]&quot; The same is true for composite types (tuples): iex&gt; Ecto.DevLogger.PrintableParameter . to_expression ( { &quot;Elixir&quot; , &quot;Ecto&quot; } ) &quot;&#39;(Elixir,Ecto)&#39;&quot; iex&gt; Ecto.DevLogger.PrintableParameter . to_expression ( { &quot;Elixir&quot; , &quot;Ecto&quot; , &lt;&lt; 153 &gt;&gt; } ) &quot;ROW(&#39;Elixir&#39;,&#39;Ecto&#39;,DECODE(&#39;mQ==&#39;,&#39;BASE64&#39;))&quot;","ref":"Ecto.DevLogger.PrintableParameter.html","title":"Ecto.DevLogger.PrintableParameter","type":"protocol"},{"doc":"Converts term to a valid SQL expression.","ref":"Ecto.DevLogger.PrintableParameter.html#to_expression/1","title":"Ecto.DevLogger.PrintableParameter.to_expression/1","type":"function"},{"doc":"Converts term to a string literal.","ref":"Ecto.DevLogger.PrintableParameter.html#to_string_literal/1","title":"Ecto.DevLogger.PrintableParameter.to_string_literal/1","type":"function"},{"doc":"","ref":"Ecto.DevLogger.PrintableParameter.html#t:t/0","title":"Ecto.DevLogger.PrintableParameter.t/0","type":"type"},{"doc":"An alternative logger for Ecto queries. It inlines bindings into the query, so it is easy to copy-paste logged SQL and run it in any IDE for debugging without manual transformation of common elixir terms to string representation (binary UUID, DateTime, Decimal, json, etc). Also, it highlights db time to make slow queries noticeable. Source table and inlined bindings are highlighted as well.","ref":"readme.html","title":"README","type":"extras"},{"doc":"The package can be installed by adding ecto_dev_logger to your list of dependencies in mix.exs : def deps do [ { :ecto_dev_logger , &quot;~&gt; 0.7&quot; } ] end Then disable default logger for your repo in config file for dev mode: if config_env ( ) == :dev do config :my_app , MyApp.Repo , log : false end And install telemetry handler in MyApp.Application : Ecto.DevLogger . install ( MyApp.Repo ) Telemetry handler will be installed only if log configuration value is set to false . That's it. The docs can be found at https://hexdocs.pm/ecto_dev_logger .","ref":"readme.html#installation","title":"README - Installation","type":"extras"}]